Expenses, invoicing, time off & time tracking

Get Invoice Settlement Report

Lists token settlement records for the org's invoice payments as report line items.

GEThttps://api.toku.com/stablecoin-payroll/get-invoice-settlement-report

Required scope: payments:read. It also needs banking:read, compensation:read.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/get-invoice-settlement-report' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "reportData": [
    {
      "groupId": "string",
      "id": "string",
      "recipientName": "string",
      "tokenType": "string",
      "tokenIcon": "string",
      "Amount": "string",
      "TxnHash": "string",
      "sourceCurrency": "string",
      "ExchangeRate": "string",
      "walletTo": "string",
      "Network": "string",
      "networkIcon": "string",
      "Status": "string",
      "PaidOn": "string",
      "ConfirmedOn": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
reportDataobject[]required
Show child attributes
groupIdstringrequired
idstringrequired
recipientNamestringrequired
tokenTypestringrequired
tokenIconstring | nullrequired
Amountstringrequired
TxnHashstring | nullrequired
sourceCurrencystringrequired
ExchangeRatestringrequired
walletTostringrequired
Networkstringrequired
networkIconstring | nullrequired
Statusstringrequired
PaidOnstring | nullrequired
ConfirmedOnstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits